## QmiClientPds

QmiClientPds — QmiClient for the PDS service.

## Signals

void | event-report | Run Last
void | gps-ready | Run Last

## Types and Values

struct | QmiClientPds

## Object Hierarchy

        GObject
        ╰── QmiClient
            ╰── QmiClientPds

## Description

QmiClient which handles operations in the PDS service.

## Functions

## Types and Values

### struct QmiClientPds

    struct QmiClientPds;

The QmiClientPds structure contains private data and should only be accessed using the provided API.

Since: 1.0

## Signal Details

### The `“event-report”` signal

    void
    user_function (QmiClientPds                      *object,
                   QmiIndicationPdsEventReportOutput *output,
                   gpointer                           user_data)

The ::event-report signal gets emitted when a 'Event Report' indication is received.

#### Parameters

object | A QmiClientPds. |
output | A QmiIndicationPdsEventReportOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.0

### The `“gps-ready”` signal

    void
    user_function (QmiClientPds *object,
                   gpointer      user_data)

The ::gps-ready signal gets emitted when a 'GPS Ready' indication is received.

#### Parameters

object | A QmiClientPds. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.14